Back to index

salome-smesh  6.5.0
Namespaces | Variables
SMESH_mechanic_editor.py File Reference

Go to the source code of this file.

Namespaces

namespace  SMESH_mechanic_editor

Variables

tuple SMESH_mechanic_editor.p1 = geompy.MakeVertex( 100.0, 0.0, 0.0 )
tuple SMESH_mechanic_editor.p2 = geompy.MakeVertex( 50.0, 50.0, 0.0 )
tuple SMESH_mechanic_editor.p3 = geompy.MakeVertex( 100.0, 100.0, 0.0 )
tuple SMESH_mechanic_editor.arc1 = geompy.MakeArc( p1, p2, p3 )
tuple SMESH_mechanic_editor.p4 = geompy.MakeVertex( 170.0, 100.0, 0.0 )
tuple SMESH_mechanic_editor.seg1 = geompy.MakeVector( p3, p4 )
tuple SMESH_mechanic_editor.p5 = geompy.MakeVertex( 200.0, 70.0, 0.0 )
tuple SMESH_mechanic_editor.p6 = geompy.MakeVertex( 170.0, 40.0, 0.0 )
tuple SMESH_mechanic_editor.arc2 = geompy.MakeArc( p4, p5, p6 )
tuple SMESH_mechanic_editor.p7 = geompy.MakeVertex( 120.0, 30.0, 0.0 )
tuple SMESH_mechanic_editor.arc3 = geompy.MakeArc( p6, p7, p1 )
list SMESH_mechanic_editor.List1 = []
tuple SMESH_mechanic_editor.wire1 = geompy.MakeWire( List1 )
tuple SMESH_mechanic_editor.Id_wire1 = geompy.addToStudy( wire1, "wire1" )
int SMESH_mechanic_editor.WantPlanarFace = 1
tuple SMESH_mechanic_editor.face1 = geompy.MakeFace( wire1, WantPlanarFace )
tuple SMESH_mechanic_editor.Id_face1 = geompy.addToStudy( face1, "face1" )
tuple SMESH_mechanic_editor.pO = geompy.MakeVertex( 0.0, 0.0, 0.0 )
tuple SMESH_mechanic_editor.pz = geompy.MakeVertex( 0.0, 0.0, 100.0 )
tuple SMESH_mechanic_editor.vz = geompy.MakeVector( pO, pz )
tuple SMESH_mechanic_editor.prism1 = geompy.MakePrismVecH( face1, vz, 100.0 )
tuple SMESH_mechanic_editor.Id_prism1 = geompy.addToStudy( prism1, "prism1" )
tuple SMESH_mechanic_editor.pc1 = geompy.MakeVertex( 90.0, 50.0, -40.0 )
tuple SMESH_mechanic_editor.pc2 = geompy.MakeVertex( 170.0, 70.0, -40.0 )
float SMESH_mechanic_editor.radius = 20.0
float SMESH_mechanic_editor.height = 180.0
tuple SMESH_mechanic_editor.cyl1 = geompy.MakeCylinder( pc1, vz, radius, height )
tuple SMESH_mechanic_editor.cyl2 = geompy.MakeCylinder( pc2, vz, radius, height )
tuple SMESH_mechanic_editor.Id_Cyl1 = geompy.addToStudy( cyl1, "cyl1" )
tuple SMESH_mechanic_editor.Id_Cyl2 = geompy.addToStudy( cyl2, "cyl2" )
tuple SMESH_mechanic_editor.shape = geompy.MakeBoolean( prism1, cyl1, 2 )
tuple SMESH_mechanic_editor.mechanic = geompy.MakeBoolean( shape, cyl2, 3 )
tuple SMESH_mechanic_editor.Id_mechanic = geompy.addToStudy( mechanic, "mechanic" )
tuple SMESH_mechanic_editor.SubFaceL = geompy.SubShapeAllSorted(mechanic, geompy.ShapeType["FACE"])
list SMESH_mechanic_editor.sub_face1 = SubFaceL[0]
tuple SMESH_mechanic_editor.name = geompy.SubShapeName( sub_face1, mechanic )
tuple SMESH_mechanic_editor.Id_SubFace1 = geompy.addToStudyInFather( mechanic, sub_face1, name )
list SMESH_mechanic_editor.sub_face2 = SubFaceL[4]
tuple SMESH_mechanic_editor.Id_SubFace2 = geompy.addToStudyInFather( mechanic, sub_face2, name )
list SMESH_mechanic_editor.sub_face3 = SubFaceL[5]
tuple SMESH_mechanic_editor.Id_SubFace3 = geompy.addToStudyInFather( mechanic, sub_face3, name )
list SMESH_mechanic_editor.sub_face4 = SubFaceL[10]
tuple SMESH_mechanic_editor.Id_SubFace4 = geompy.addToStudyInFather( mechanic, sub_face4, name )
tuple SMESH_mechanic_editor.shape_mesh = salome.IDToObject( Id_mechanic )
tuple SMESH_mechanic_editor.mesh = smesh.Mesh(shape_mesh, "Mesh_mechanic")
int SMESH_mechanic_editor.numberOfSegment = 10
tuple SMESH_mechanic_editor.algo = mesh.Segment()
tuple SMESH_mechanic_editor.hypNbSeg = algo.NumberOfSegments(numberOfSegment)
int SMESH_mechanic_editor.maxElementArea = 25
tuple SMESH_mechanic_editor.hypArea25 = algo.MaxElementArea(maxElementArea)
tuple SMESH_mechanic_editor.submesh1 = algo.GetSubMesh()
tuple SMESH_mechanic_editor.submesh2 = algo.GetSubMesh()
tuple SMESH_mechanic_editor.submesh3 = algo.GetSubMesh()
tuple SMESH_mechanic_editor.submesh4 = algo.GetSubMesh()
list SMESH_mechanic_editor.FacesTriToQuad = [ 2391, 2824, 2825, 2826, 2827, 2828, 2832, 2833, 2834, 2835, 2836, 2837, 2838, 2839, 2841, 2844, 2845, 2847, 2854, 2861, 2863, 2922, 2923, 2924, 2925, 2926, 2927, 2928, 2929, 2930, 2931, 2932, 2933, 2934, 2935, 2936, 2937, 2938, 2940, 2941, 2946, 2951, 2970, 2971, 2972, 2973, 2974, 2975, 2976, 2977, 2978, 2979, 2980, 2981, 2982, 2983, 2984, 2985 ]
tuple SMESH_mechanic_editor.GroupTriToQuad = mesh.MakeGroupByIds("Group of faces (quad)", smesh.FACE, FacesTriToQuad)
tuple SMESH_mechanic_editor.point = smesh.PointStruct(0, 0, 5)
tuple SMESH_mechanic_editor.vector = smesh.DirStruct(point)
tuple SMESH_mechanic_editor.axisXYZ = smesh.AxisStruct(0, 0, 0, 10, 10, 10)
int SMESH_mechanic_editor.angle180 = 180
list SMESH_mechanic_editor.FacesSmooth = [864, 933, 941, 950, 1005, 1013]
tuple SMESH_mechanic_editor.GroupSmooth = mesh.MakeGroupByIds("Group of faces (smooth)", smesh.FACE, FacesSmooth)
list SMESH_mechanic_editor.FacesRotate = [492, 493, 502, 503]
tuple SMESH_mechanic_editor.GroupRotate = mesh.MakeGroupByIds("Group of faces (rotate)", smesh.FACE, FacesRotate)
int SMESH_mechanic_editor.angle45 = 45